Bug 465196 - ejabberdctl broken
ejabberdctl broken
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: ejabberd (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-01 23:05 EDT by Adam Goode
Modified: 2008-10-07 05:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-07 05:46:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Goode 2008-10-01 23:05:00 EDT
Description of problem:

ejabberdctl fails with
/usr/sbin/ejabberdctl: line 149: = \: command not found


Version-Release number of selected component (if applicable):

ejabberd-2.0.2-1.fc9.i386


Additional info:

Line 149 is wrong in 2 ways. $ERL_COMMAND should be ERL_COMMAND, and the assignment can't start with a newline continuation.

It should be this:

    ERL_COMMAND="$ERL \
      $NAME ejabberdctl \
      -noinput \
      -pa $EJABBERD_EBIN \
      -s ejabberd_ctl -extra $ERLANG_NODE $@ \
      "
Comment 1 Fedora Update System 2008-10-02 02:16:17 EDT
ejabberd-2.0.2-3.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/ejabberd-2.0.2-3.fc8
Comment 2 Fedora Update System 2008-10-02 02:16:20 EDT
ejabberd-2.0.2-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/ejabberd-2.0.2-3.fc9
Comment 3 Fedora Update System 2008-10-03 18:29:47 EDT
ejabberd-2.0.2-3.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ejabberd'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-8557
Comment 4 Fedora Update System 2008-10-03 18:34:09 EDT
ejabberd-2.0.2-3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ejabberd'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-8603
Comment 5 Fedora Update System 2008-10-07 05:46:34 EDT
ejabberd-2.0.2-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-10-07 05:55:16 EDT
ejabberd-2.0.2-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.